Erste Schritte

Erste Schritte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Willkommen und danke, dass Sie sich für zenon entschieden haben. Wir wollen Ihnen den Einstieg in die Bedienung von zenon so einfach und angenehm wie möglich gestalten. Ein erster Schritt dazu ist dieses Tutorial. Allerdings kann und will dieses einführende Tutorial kein Ersatz für eine Schulung sein.

Dieses Tutorial wird Sie in die grundlegende Bedienung von zenon einführen. Sie werden hier lernen, wie man ein Projekt erstellt und darin Anlagenbilder zeichnet, auf denen Werte aus Ihrer Steuerung in dynamischen Elementen dargestellt werden.

Noch in diesem Kapitel

Ein neues Projekt

Variablen

Bilder und Funktionen

Runtime (Onlinebetrieb)


Ein neues Projekt

Erste Schritte -> Ein neues Projekt

In diesem Schritt lernen Sie, was Arbeitsbereiche und Projekte sind. Wir werden gemeinsam einen Arbeitsbereich und darin wiederum ein Beispielprojekt anlegen.

Noch in diesem Kapitel

Erstellen eines neuen Arbeitsbereichs

Erstellen eines neuen Projekts

Konfiguration des Projekts


Erstellen eines neuen Arbeitsbereichs

Erste Schritte -> Ein neues Projekt -> Erstellen eines neuen Arbeitsbereichs

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

info Info

Es ist sinnvoll mit einem neuen Arbeitsbereich gleichzeitig ein neues Verzeichnis zu erstellen. Somit sind alle wichtigen Daten für den Arbeitsbereich gesammelt vorhanden.

  • Verwenden Sie im Menü Datei den Befehl Arbeitsbereich/Neu.
  • Geben Sie als Verzeichnis C:/ ein und vergeben Sie für den Arbeitsbereich den Namen 'Beispiel'. Falls nicht vorhanden, wird nach Bestätigen der Dialogbox mit OK das Verzeichnis C:/BEISPIEL erstellt und darin eine Datei BEISPIEL.WSP6 angelegt.

Der Verzeichnisname und der Name der Arbeitsbereichsdatei werden automatisch von zenon vergeben, können aber nachträglich geändert werden.


Erstellen eines neuen Projekts

Erste Schritte -> Ein neues Projekt -> Erstellen eines neuen Projekts

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Verwenden Sie im Menü Datei den Befehl Projekt neu.

  • Vergeben Sie bitte den Projektnamen 'PROJEKT1' und akzeptieren Sie den Pfadvorschlag.

info Info

Wenn in Ihrem Editor VBA aktiviert ist (Standard-Einstellung), dann wird nun der Auswahl-Dialog zur Ausführung eines Wizards geöffnet. Wizards sind VBA-Makros, mit denen Sie die Arbeit im Editor automatisieren können. Im diesem Beispiel werden wir keinen Wizard verwenden, also schließen wir den Dialog mit Abbrechen.


Konfiguration des Projekts

Erste Schritte -> Ein neues Projekt -> Konfiguration des Projekts

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Wählen Sie im Projektmanager den Arbeitsbereich aus.
  • In der Detailansicht sehen Sie jetzt eine Liste der Projekte, die zu diesem Arbeitsbereich gehören.
  • Wählen Sie in der Detailansicht das Projekt PROJEKT1 aus.

Im Eigenschaftenfenster werden nun die Eigenschaften des Projekts PROJEKT1 angezeigt und können hier geändert werden.

Das Eigenschaftenfenster werden wir noch oft verwenden. Grundsätzlich zeigt es die Eigenschaften des in der Detailansicht des Projektmanagers ausgewählten Objekts an. Die Icons am oberen Rand des Eigenschaftenfensters bieten die Möglichkeit die Eigenschaften in unterschiedlicher Darstellung anzuzeigen:

Die einzelnen Symbole bieten dabei folgende Funktionalität an:

Symbol | Bedeutung
Gruppiert | Die einzelnen Eigenschaften werden in logischen Gruppen zusammengefasst.
Alle Eigenschaften | Alle Eigenschaften werden in einer Reihe angezeigt.
Dialogansicht | Die Eigenschaften werden in Form von Dialogboxen angezeigt.
Favoriten ein-/ausblenden | In den Favoriten können über das Kontextmenü des Eigenschaftenfensters die am häufigsten benötigten Eigenschaften zusammengefasst werden. Hier können die Favoriten ein- oder ausgeblendet werden.
Alle Eigenschaften ein-/ausblenden | Wenn die Favoriten eingeblendet sind, können über dieses Symbol zur besseren Übersicht alle anderen Eigenschaften ausgeblendet werden.
Logisch sortiert | Mit diesem Icon können die angezeigten Eigenschaften nach ihrer logischen Zusammengehörigkeit sortiert werden.
Aufsteigend sortiert | Mit diesem Icon können die angezeigten Eigenschaften alphabetisch aufsteigend sortiert werden.
Absteigend sortiert | Mit diesem Icon können die angezeigten Eigenschaften alphabetisch absteigend sortiert werden.
Alle erweitern | Durch einen Klick auf das '+' am linken Rand des Eigenschaftenfensters können Sie einen geschlossenen Knoten öffen. Dieses Icon öffnet automatisch alle geschlossenen Knoten.
Alle reduzieren | Durch einen Klick auf das '-' am linken Rand des Eigenschaftenfensters können Sie einen offenen Knoten schließen. Dieses Icon schließt automatisch alle offenen Knoten.
Eigenschaftenhilfe einblenden | Ein eigenes Fenster mit einer Beschreibung der ausgewählten Eigenschaft wird eingeblendet. Um das Hilfe-Fenster zu schließen, klicken Sie auf das X am rechten oberen Rand des Fensters.

info Info

Die Eigenschaften, die in den Favoriten angezeigt werden, können Sie selbst über das Kontextmenü des Eigenschaftenfensters einstellen.

Runtime-Ansicht

Um zur Runtime das Hauptfenster ohne Titel anzuzeigen:

  • Schalten Sie in die gruppierte Ansicht.
  • Öffnen Sie die Gruppe Grafische Ausprägung.

  • Ändern Sie die Eigenschaft Runtime-Titel auf kein Titel (gesamter Schirm)

    Interne ID: Konfiguration des Projekts

    Runtime-Titel

    Darstellung des Runtime-Hauptfensters.

    kein Titel: Vollflächige Darstellung ohne Anzeige einer Titelleiste, .

    Titel mit Min. und Max. Schaltfläche: Das Fenster kann in der Größe verändert und verschoben werden. Schließen ist nicht möglich (auch nicht über Kontextmenü, Aufgabenleiste oder die Tastenkombination Alt+F4). Rechtsklick auf Titelleiste öffnet Kontextmenü.

    Titel mit System, Min. und Max. Schaltfläche: Das Fenster kann in der Größe verändert und verschoben, sowie per per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.

    Titel mit Systemmenü: Das Fenster kann verschoben und per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.

    Titel ohne Schaltflächen: Das Fenster kann verschoben und per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.

    Default: kein Titel

    Achtung: Wenn diese Eigenschaft im Editor geändert wird, muss die Runtime neu gestartet werden. Nachladen alleine funktioniert nicht, da zur Übernahme das Hauptfenster der Runtime erst geschlossen und dann neu geöffnet werden muss.

    Mehr im Online-Handbuch

    Diese Funktion ist in VBA (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen: ""

Damit wird das Programm-Fenster der Runtime ohne Titelleiste angezeigt.


Variablen

Erste Schritte -> Variablen

In diesem Schritt lernen Sie, wie zenon sich zu einem Prozess verbindet und Werte aus der Steuerung bekommt.

Wir werden dazu einen Treiber anlegen und zu diesem Treiber dann Variablen definieren.

Noch in diesem Kapitel

Treiber

Datentypen

Variablen


Treiber

Erste Schritte -> Variablen -> Treiber

Um mit einer Datenquelle (SPS, Feldbus, etc.) kommunizieren zu können, ist die Anbindung eines Treibers notwendig. Je nach Projektanforderung müssen die gewünschten Treiber definiert (abhängig je nach SPS, etc.) und die dazugehörigen Prozessvariablen angelegt werden.

  • Öffnen Sie im Projektmanager den Knoten Variablen.
  • Öffnen Sie nun mit der rechten Maustaste das Kontextmenü des Eintrags Treiber.
  • Wählen Sie den Menüeintrag Treiber neu.

Die Dialogbox zur Auswahl eines Treibers öffnet sich nun.

  • Scrollen Sie in der Auswahl für Verfügbare Treiber so weit, bis der Ordner Siemens erscheint.
  • Wählen Sie den Treiber S7 TCP-IP aus. In Treiberbezeichnung wird der Eintrag automatisch übernommen wie in der Dialogbox Definition eines Treibers. Verlassen Sie die Dialogbox durch eine Bestätigung mit OK.

Damit öffnet sich die Dialogbox für die Konfiguration des Treibers.

  • Setzen Sie den Modus auf Simulation zählend.

Im Modus Hardware würde zenon beim Start der Runtime sofort versuchen eine Verbindung zu der Steuerung aufzubauen. Da wir aber im Moment keine Steuerung zur Verfügung haben, würde uns zenon alle Werte als gestört anzeigen, wenn wir den Modus Hardware verwenden.

  • Schalten Sie die Update Zeit global aus.

Durch diese Einstellung haben wir dann bei der Definition der Variablen die Möglichkeit jeder einzelnen Variable eine von vier verschiedenen Updatezeiten zuzuordnen. Diese vier Updatezeiten lassen sich im unteren Teil dieses Dialogs unter Priorität einstellen.

Die weiteren Karteikarten dieses Dialoges sind treiberspezifisch, d.h. je nach ausgewähltem Treiber unterschiedlich. Da wir im Moment ohnehin keine Steuerung zur Verfügung haben, können wir die weiteren Einstellungen in diesem Beispiel ausser Acht lassen.


Datentypen

Erste Schritte -> Variablen -> Datentypen

Variablen basieren einerseits auf Treiber Objekttypen und andererseits auf Datentypen.

Die Treiber Objekttypen hängen vom ausgewählten Treiber ab.

Datentypen sind im Grunde unabhängig vom Treiber. Allerdings unterstützen nicht alle Treiber Objekttypen alle Datentypen. Bei der entsprechenden Auswahl werden Ihnen immer nur jene Datentypen angeboten, die vom ausgewählten Treiber Objekttyp auch unterstützt werden.

Zusätzlich zu den vordefinierten Datentypen können Sie auch selbst Datentypen erstellen. Dabei stehen Ihnen zwei Möglichkeiten zur Verfügung: Einfache und Struktur Datentypen.

In diesem Schritt werden Sie lernen, wie man einfache bzw. Struktur Datentypen erstellt.

Noch in diesem Kapitel

Einfachen Datentyp neu erstellen

Struktur Datentyp neu erstellen


Einfachen Datentyp neu erstellen

Erste Schritte -> Variablen -> Datentypen -> Einfachen Datentyp neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie im Projektmanager den Knoten Variablen.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Datentypen.
  • Wählen Sie den Menüeintrag Einfacher Datentyp neu.

_

  • Geben Sie als Namen des neuen einfachen Datentyps Temperaturfühler ein.
  • Als Basis-Datentyp wählen Sie UINT aus.

Mit Fertigstellen wird der Datentyp angelegt und steht nun in der Liste der Datentypen zur Verfügung.

  • Wählen Sie den Datentyp Temperaturfühler in der Liste aus.

Im Eigenschaftenfenster werden jetzt die Eigenschaften des Datentyps Temperaturfühler angezeigt und wir können die notwendigen Änderungen vornehmen.

  • Öffnen Sie die Gruppen Allgemein und Wertberechnung.

_

  • Passen Sie die Eigenschaften Einheit , Nachkommastellen , Wertanpassung linear und Wertbereich Steuerung des Datentyps an wie in der obigen Abbildung dargestellt.
Wertbereich Steuerung | Digitalisierter Wert vom Temperaturfühler; in diesem Fall 16 Bit Auflösung in der SPS
Wertanpassung linear | Numerischer Wert vom Temperaturfühler; nach unserer Einstellung entspricht dies Min. 0,00 ºC / Max. 655,35 ºC im Projekt

Wir wollen nun Grenzwerte für den Datentyp Temperaturfühler definieren.

  • Öffnen Sie im Eigenschaftenfenster die Gruppe Grenzwerte.
  • Wählen Sie den Eintrag <Grenzwert neu>.

Eine neue Untergruppe mit dem Namen Grenzwert[1] wird angelegt.

  • Öffnen Sie die Untergruppe Grenzwert[1] .

  • Passen Sie die Eigenschaften des Grenzwertes an wie in der obigen Abbildung dargestellt.

Example Beispiel

Legen Sie für den Datentyp Temperaturfühler drei weitere Grenzwerte an:
GW 2: 100; MIN; dunkelblau; kein Alarm
GW 3: 400; MAX; dunkelrot; kein Alarm
GW 4: 500; MAX; hellrot; Alarm


Struktur Datentyp neu erstellen

Erste Schritte -> Variablen -> Datentypen -> Struktur Datentyp neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie im Projektmanager die Verzweigung Variablen.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Datentypen.
  • Wählen Sie den Menüeintrag Struktur Datentyp neu.

  • Geben Sie als Namen des neuen Struktur Datentyps Motor ein.

Nachdem Sie den Struktur Datentyp fertig gestellt haben, öffnet sich eine Dialogbox, in der Sie das erste Struktur Element dieses Datentyps definieren können.

  • Geben Sie als Namen des neuen Struktur Elements Ölstand ein.
  • Als Basis-Datentyp wählen Sie USINT aus. Der Datentyp soll dabei eingebettet werden.

Wenn ein Basis-Datentyp in einem Struktur Datentyp eingebettet wird, so können die Eigenschaften im Struktur Element unabhängig vom Basis-Datentyp geändert werden.

Nach dem Fertigstellen des Struktur Elements wird der Struktur Datentyp in der Liste angelegt.

Wir wollen aber noch weitere Struktur Elemente in diesem Datentyp erstellen.

  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Struktur Datentyps 'Motor'.
  • Wählen Sie den Menüeintrag Struktur Element neu.

Example Beispiel

Legen Sie für den Struktur Datentyp Motor weitere Struktur Elemente an:

Ein/aus: BOOL; eingebettet
Temperatur: Temperaturfühler; verknüpft


Variablen

Erste Schritte -> Variablen -> Variablen

Eine Prozessvariable ist die Schnittstelle zwischen der Datenquelle (SPS, Feldbus, etc.) und zenon. Zum richtigen Erfassen, Steuern und Regeln von Prozessen ist der Austausch von Prozessdaten einerseits und die Vorgabe von Sollwerten und Befehlen andererseits notwendig. Prozessdaten und Vorgaben werden auf die einzelnen Prozessvariablen bezogen und in der Variablenliste projektiert bzw. parametriert.

In diesem Schritt werden Sie lernen, wie man einzelne Variablen bzw. Variablenarrays erstellt, die auf einfachen oder Struktur Datentypen basieren.

info Info

Viele zenon Treiber bieten Ihnen die Möglichkeit Variablen aus dem SPS-Programm oder direkt aus der Steuerung zu importieren, sodass Sie die Variablen nicht von Hand anlegen müssen. In der jeweiligen Treiberdokumentation finden Sie die nötigen Informationen zum Variablenimport.

Da wir in unserem Beispielprojekt weder eine Steuerung noch ein S7-Projekt zur Verfügung haben, werden wir hier die Variablen von Hand anlegen.

Noch in diesem Kapitel

Einfache Variable neu erstellen

Struktur Variable neu erstellen


Einfache Variable neu erstellen

Erste Schritte -> Variablen -> Variablen -> Einfache Variable neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie im Projektmanager mit der rechten Maustaste das Kontextmenü des Eintrags Variablen.
  • Wählen Sie den Menüeintrag Variable neu.

Die Dialogbox zum Erstellen einer Variable öffnet sich nun.

  • Geben Sie als Namen Temp ein.
  • Wählen Sie den Treiber S7TCP32 - S7 TCP-IP
  • Wählen Sie als Treiber Objekttyp Erw. Datenbaustein.
  • Wählen Sie als Datentyp Temperaturfühler.

Mit diesen Einstellungen würde eine einzelne Variable erstellt werden. Durch entsprechende Einstellungen im Bereich Array Einstellungen können wir aber auch gleich mehrere Variablen desselben Typs erstellen.

  • Setzen Sie also die Array Dimensionen 1 und 2 jeweils auf den Wert 2.
  • Bestätigen Sie die Einstellungen mit Fertigstellen.

Die Variablen werden jetzt im Detailbereich des Projektmanagers in der Variablenliste angefügt. Sämtliche Eigenschaften unseres Datentyps Temperaturfühler werden somit in die Variablen übernommen. Die Eigenschaften der ausgewählten Variablen können im Eigenschaftenfenster überprüft und geändert werden.

Da wir die Array Dimensionen geändert haben, sind gleich vier Variablen erstellt worden. Diese Variablen werden aufgrund unserer Einstellungen automatisch adressiert, d.h. wir müssen nur einen Start Offset vergeben. Die restlichen Adressen berechnet zenon automatisch.

  • Öffnen Sie die Gruppe Variable.
  • Wählen Sie den Eintrag Temp.
  • Setzen Sie in der Gruppe Adressierung die Eigenschaft Start Offset auf den Wert 11.

Damit erreichen wir folgende Adressierung:

Temp[1,1] | Offset 11
Temp[1,2] | Offset 13
Temp[2,1] | Offset 15
Temp[2,2] | Offset 17

Die Eigenschaft letzter verwendeter Offset zeigt dementsprechend an: 18/7 (Offset 18 / Bit 7).

Die Variablenliste in der Detailansicht des Projektmanagers sollte nun folgende Einträge beinhalten:

info Info

Vergeben Sie immer logische Namen für die Prozessvariablen um sich später bei der Suche besser zurecht zu finden.


Struktur Variable neu erstellen

Erste Schritte -> Variablen -> Variablen -> Struktur Variable neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Wir wollen nun weitere Variablen erstellen, diesmal allerdings mit einem Struktur Datentyp. Dazu gehen Sie vor wie oben beschrieben.

  • Geben Sie als Namen Motor ein.
  • Wählen Sie als Datentyp Motor.
  • Stellen Sie unter Array Einstellungen die Dim 1 auf den Wert 4.

  • Aktivieren Sie die Einstellung Automatische Adressierung.
  • Die Einstellungen Jeder Datentyp startet mit neuem Offset und Alle Elemente aktivieren lassen Sie bitte wie vom System vorgeschlagen.
  • Wählen Sie als Treiber Objekttyp einen Erw. Datenbaustein.
  • Setzen Sie den Start Offset auf 21.

Jetzt werden die Variablen für vier Motoren angelegt (Array Dim 1=4), wobei die vier Motoren jeweils aus drei Variablen bestehen.

Ihre Variablenliste im Detailbereich des Projektmanagers sollte jetzt aussehen wie in folgender Abbildung:


Bilder und Funktionen

Erste Schritte -> Bilder und Funktionen

In diesem Schritt lernen Sie, wie Sie in zenon Bilder erstellen können, mit denen Analgen visualisiert und bedient werden können.

Noch in diesem Kapitel

Schablonen

Bilder

Bildelemente


Schablonen

Erste Schritte -> Bilder und Funktionen -> Schablonen

Bevor das erste Bild gezeichnet werden kann, muss noch eine Schablone definiert werden. Jedes Bild basiert auf einer Schablone.

Eine Schablone ist die Grundlage für die Fenstertechnik. Dort werden generelle Eigenschaften festgelegt, wie etwa:

Größe der Schablone = Größe des Bildes

Position des Bildes am Bildschirm

Somit hat man sich generell ein Layout erstellt. Dies bietet einige Vorteile wie:

Eine durchgängige Bildstruktur im ganzen Projekt.

Größe und Position muss nur einmal festgelegt werden.

Eine Änderung der Schablone ändert alle Bilder, die auf dieser Schablone basieren.

Funktionen können speziell auf eine Schablone zugewiesen werden (Alarme blinkquittieren, Hardcopy, etc.).

Bilder müssen kaum von Hand geschlossen werden, da immer nur ein Bild einer Schablone offen sein kann.

info Info

Es sollten immer zumindest 2 Schablonen definiert werden:
1 Bildschablone
1 Bedienschablone (Buttonschablone)

Noch in diesem Kapitel

Schablonen neu erstellen


Schablonen neu erstellen

Erste Schritte -> Bilder und Funktionen -> Schablonen -> Schablonen neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie im Projektmanager den Knoten Bilder und markieren Sie den Eintrag Schablonen.
  • Über das Kontextmenü erstellen Sie mit Schablone neu eine neue Schablone.

Es wird automatisch eine Schablone mit dem Namen Template_0 angelegt. Im Eigenschaftenfenster können Sie die Eigenschaften der Schablone ändern.

Default ist die Größe der Schablone immer auf die derzeit eingestellte Bildschirmauflösung eingestellt. Wir verändern diese, damit oben und unten ein Abstand bleibt. Den oberen Abstand benötigen wir für die Alarmmeldung und den unteren für eine spätere Bedienleiste. Dabei gehen wir für unser Beispiel von einer Bildschirmauflösung von 1024*768 aus.

  • Passen Sie die Eigenschaften der Schablone an wie in der obigen Abbildung dargestellt.

Example Beispiel

Erstellen Sie eine Schablone mit dem Namen Bedienleiste für die Bedienleisten. Die Größe der Schablone sollte von links/oben 0/700 bis rechts/unten 1024/768 reichen.


Bilder

Erste Schritte -> Bilder und Funktionen -> Bilder

Ein Bild ist ein Fenster mit gewissen vordefinierten Eigenschaften. Jedes Bild muss einer Schablone zugeordnet sein.

info Info

Trotzdem können Sie in einem neuen Projekt auch ein Bild erstellen, ohne dass Sie vorher eine Schablone angelegt haben.

In diesem Fall legt zenon allerdings im Hintergrund automatisch eine Schablone mit den Standard-Einstellungen an.

Noch in diesem Kapitel

Bild neu


Bild neu

Erste Schritte -> Bilder und Funktionen -> Bilder -> Bild neu

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Markieren Sie im Projektmanager den Knoten Bilder.
  • Über das Kontextmenü erstellen Sie mit Bild neu ein neues Bild.

Es wird automatisch ein Bild mit dem Namen Picture 0 angelegt. Im Eigenschaftenfenster können Sie die Eigenschaften des Bildes ändern.

  • Vergeben Sie in der Gruppe Allgemein den Bildnamen Startbild und achten Sie darauf, dass das Bild den Bildtyp Standard hat.
  • Vergewissern Sie sich in der Eigenschaft Schablone, dass das Bild der Schablone Prozessbild zugeordnet ist.
  • Öffnen Sie das eben erstellte Bild durch einen Doppelklick auf den Bildnamen in der Detailansicht des Projektmanagers oder indem Sie dort mit der rechten Maustaste das Kontextmenü aufrufen und den Eintrag Bild öffnen wählen.

info Info

Da dies das erste Bild ist, welches wir gespeichert haben, wird dieser Bildname automatisch in den Projekteigenschaften unter der Eigenschaft Startbild in der Gruppe Grafische Ausprägung eingetragen.

Damit wird dieses Bild beim Start der Runtime automatisch geöffnet.

Example Beispiel

Erstellen Sie nun ein Bild mit dem Namen Halle. Auch für dieses Bild verwenden Sie die Schablone Prozessbild.

Erstellen Sie ein Bild mit dem Namen BL-Start. Diesem Bild ordnen Sie die Schabone Bedienleiste zu.


Bildelemente

Erste Schritte -> Bilder und Funktionen -> Bildelemente

Grob gesprochen gibt es zwei verschiedene Arten von Elementen, die man in einem Bild verwenden kann:

Vektor Elemente | Das Aussehen dieser Elemente bleibt in der Runtime immer gleich.
Dynamische Elemente | Diese Elemente ändern in der Runtime ihr Aussehen (meist abhängig vom aktuellen Wert einer Variable).

Noch in diesem Kapitel

Vektor Elemente

Dynamische Elemente


Vektor Elemente

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Vektor Elemente

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Vektor Elemente ändern im Vergleich zu den dynamischen Elementen, die wir später kennenlernen werden in der Runtime ihr Aussehen nicht und dienen der grafischen Hintergrundinformation.

Noch in diesem Kapitel

Statischer Text


Statischer Text

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Vektor Elemente -> Statischer Text

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Wir werden nun einen Text in unser Startbild setzen.

  • Öffnen Sie das Menü Vekt. Elemente.
  • Wählen Sie das Vektor-Element Statischer Text.
  • Im Bild Startbild drücken Sie an der gewünschten Stelle die linke Maustaste und halten diese gedrückt, während Sie ein Rechteck aufziehen.

Im Eigenschaftenfenster können nun die Eigenschaften des Elements angepasst werden. Sollten die Eigenschaften eines Elements nachträglich geändert werden, so muss man nur das entsprechende Element im Bild auswählen - mit der linken Maustaste anklicken. Dann stehen die Eigenschaften wieder im Eigenschaftenfenster zur Verfügung.

Diese Vorgangsweise ist bei allen Elementen die gleiche.

  • In dem Feld Darstellung/Text schreiben Sie nun 'Mein erstes Projekt'.

Nun wollen wir uns für das Text-Element eine neue Schriftart anlegen.

  • Wählen Sie im Projektmanager den Eintrag Bilder/Schriften.
  • In der Detailansicht öffnen Sie jetzt das Kontextmenü und wählen den Eintrag Schrift neu.

Der Windows-Standarddialog zur Definition von Schriften öffnet sich.

  • Stellen Sie ein Times New Roman fett 36 und bestätigen dieses mit OK.

In der Detailansicht des Projektmanagers steht jetzt Neue Schrift 1 und das Eigenschaften-Fenster zeigt die Eigenschaften der neu erstellten Schriftart.

  • Ändern Sie den Namen der Schrift auf Titel.

Die hier erstellten Schriftarten können in allen Elementen, die Text beinhalten, verwendet werden.

Wir wollen diese Schriftart jetzt in unserem Text-Element verwenden.

  • Wählen Sie im Startbild das Textelement aus und öffnen Sie im Eigenschaftenfenster die Gruppe Schrift.
  • Klicken Sie in die rechte Spalte des Eintrags Schrift.

Die Dialogbox zur Schriftauswahl öffnet sich.

  • Wählen Sie die Schriftart Titel aus.
  • Klicken Sie auf das Icon Bild speichern oder wählen Sie im Kontextmenü des Bildes den Eintrag Bild speichern.


Dynamische Elemente

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Dynamische Elemente

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Im Unterschied zu Vektor-Elementen ändern dynamische Elemente in der Runtime ihr Aussehen.

Dynamische Elemente werden dazu verwendet Variablenwerte darzustellen oder Funktionen auszuführen.

Noch in diesem Kapitel

Text Button

Bild Funktionen

Zahlenwert

Bargraf

Zeiger

Trendelement


Text Button

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Dynamische Elemente -> Text Button

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Zuerst werden wir für unsere Bedienleiste BL-Start Buttons erstellen, mit denen zwischen dem Startbild und dem Bild Halle umgeschalten werden kann.

  • Öffnen Sie das Bild BL-Start.
  • Wählen Sie im Menü Dyn. Elemente den Eintrag Text Button.
  • Mit gedrückter linker Maustaste ziehen Sie nun das dyn. Element auf dem Bild BL-Start auf (ca.1,5 cm hoch und 3 cm breit).

Die Dialogbox zur Funktionsauswahl öffnet sich automatisch, nachdem Sie die Maustaste loslassen.

  • Wählen Sie die Funktion Bildumschaltung - Startbild aus.
  • Öffnen Sie im Eigenschaftenfenster die Gruppe Darstellung.
  • Geben Sie für die Zeile 1 den Text Startbild und für die Zeile 2 den Text Alt+S ein.
  • Klicken Sie beim Eintrag Runtime/Bedienung/Tastenkombination in die rechte Spalte.

Die Dialogbox zur Definition der Tastenkombination öffnet sich.

In der Runtime können Sie dann zum Ausführen dieser Funktion entweder den Button mit der Maus betätigen oder aber diese Tastenkombination drücken.

  • Geben Sie als Tastenkombination Alt-S ein, indem Sie einfach in den Eingabebereich klicken und dann die Tastenkombination drücken.
  • Bestätigen Sie die Eingabe mit OK.

Example Beispiel

Erstellen Sie einen entsprechenden Button für das Bild Halle mit der Beschriftung Halle 1 und Alt-1 sowie der entsprechenden Tastenkombination.

Erstellen Sie einen weiteren Button für die Funktion Programm verlassen mit der Beschriftung Ende und der Tastenkombination ALT-E.

info Info

Für die Beschriftung vom Button ist es ratsam, immer eine bestimmte Schrift zu definieren und diese für alle verwendeten Buttons einzusetzen. Denn möchten Sie zu einem späteren Zeitpunkt die Schrift oder die Größe ändern, so wird diese nur einmal verändert und alle anderen Buttons werden automatisch angepasst.


Bild Funktionen

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Dynamische Elemente -> Bild Funktionen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Mit jedem Bild können Funktionen verknüpft werden, die automatisch beim Öffnen oder Schließen des Bildes ausgeführt werden. Wir werden diese Funktionalität nun nutzen um die Bedienleiste mit dem Startbild aufzuschalten.

  • Wählen Sie im Projektmanager den Knoten Bilder aus.
  • Markieren Sie in der Detailansicht des Projektmanagers das Bild Startbild.
  • Öffnen Sie im Eigenschaftenfenster die Gruppe Ausführung.
  • Bei Start-Funktion wählen Sie die Funktion Bildumschaltung - BL-Start aus der Liste aus.

Damit wird in der Runtime, wann immer das Bild Startbild geöffnet wird, automatisch auch das Bild BL-Start geöffnet.


Zahlenwert

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Dynamische Elemente -> Zahlenwert

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie das Bild Startbild.
  • Wählen Sie im Menü Dyn. Elemente den Eintrag Zahlenwert.
  • Mit gedrückter linker Maustaste ziehen Sie nun das dyn. Element auf dem Startbild auf (ca.2 cm hoch und 5 cm breit)

Nun öffnet sich automatisch die Dialogbox zur Variablenauswahl.

  • In der Dialogbox Variablenauswahl setzen Sie den Balken auf die Variable Temp[1,1] und drücken anschließend auf den Button OK.

info Info

Sollte sich die Variablenauswahl nicht automatisch öffnen, gehen Sie folgendermaßen vor:

  • Öffnen Sie das Menü Option.
  • Wählen Sie den Eintrag Einstellungen.

Die folgende Dialogbox öffnet sich:

  • Aktivieren Sie die Option Eingabe der Eigenschaften bei Erzeugung in der Gruppe Bildbearbeitung und drücken anschließend auf den Button OK.

Sie können die Dialogbox allerdings auch mit einem Doppelklick auf das Element öffnen.

Um die Größe des dyn. Elements am Bildschirm zu verändern, klickt man auf einen der Eckpunkte (es erscheint ein Doppelpfeil statt des Mauszeigers), hält die Maustaste gedrückt und zieht es auf die gewünschte Größe.

Für das Verschieben des dyn. Elements klickt man mit der Maus in die Mitte des Elements (es erscheint ein Pfeilkreuz), hält die Taste gedrückt und verschiebt es zur gewünschten neuen Position.

  • Klicken Sie auf das Icon Bild speichern oder wählen Sie im Kontextmenü des Bildes den Eintrag Bild speichern.

Example Beispiel

Erstellen Sie nun weitere Zahlenwert-Elemente für die Variablen Temp[1,2] , Temp[2,1] und Temp[2,2].

info Info

Die einfachste Vorgehensweise hierzu ist die folgende:

Markieren Sie das Element und kopieren Sie es mit Strg-C in die Zwischenablage, dann fügen Sie es mit Strg-V dreimal in das Bild ein. Jetzt können Sie einfach die gewünschten Variablen mit der Maus auf das entsprechende Element ziehen.


Bargraf

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Dynamische Elemente -> Bargraf

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie das Bild Halle.
  • Wählen Sie im Menü Dyn. Elemente den Befehl Bargraf.
  • Mit gedrückter linker Maustaste ziehen Sie nun das dyn. Element auf dem Startbild auf (ca.7 cm hoch und 3 cm breit).
  • In der Dialogbox Variablenauswahl setzen Sie den Balken auf die Variable Temp[1,1] und drücken anschließend auf den Button OK.
  • Im Eigenschaftenfenster setzen Sie unter Farben/Farben Statisch die Balkenfarbe auf grün.


Zeiger

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Dynamische Elemente -> Zeiger

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Wählen Sie im Menü Dyn. Elemente den Befehl Zeigerinstrument.
  • Mit gedrückter linker Maustaste ziehen Sie nun das dyn. Element auf dem Startbild auf (ca.15 cm hoch und 20 cm breit).
  • In der Dialogbox Variablenauswahl setzen Sie den Balken auf die Variable Temp[1,2] und bestätigen mit OK.
  • Öffnen Sie im Eigenschaften-Fenster die Gruppe Darstellung und dann die Skala.
  • Setzen Sie die Hauptticks auf 100 und die Nebenticks auf 20.

Damit wird bei jedem Hunderter ein längerer Strich mit Beschriftung angezeigt und dazwischen jeweils fünf kürzere ohne Beschriftung.


Trendelement

Erste Schritte -> Bilder und Funktionen -> Bildelemente -> Dynamische Elemente -> Trendelement

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Wählen Sie im Menü Dyn. Elemente den Befehl Trendkurve.
  • Mit gedrückter linker Maustaste ziehen Sie nun das dyn. Element auf dem Startbild auf (ca.15 cm hoch und 20 cm breit).

Nun öffnet sich die Dialogbox zur Variablenauswahl.

  • In der Dialogbox Variablenauswahl doppelklicken Sie die Variable Temp[1,1] und Temp[1,2].
  • Dann drücken Sie auf den Button OK.

Im Eigenschaftenfenster gibt es nun eine neue Gruppe Kurven.

  • Öffnen Sie im Eigenschaftenfenster die Gruppe Kurven und dann die Kurve[1].
  • Ändern Sie den Kurvennamen auf Temp 1.
  • Ändern Sie den Text bei der Kurve[2] auf Temp 2.
  • Setzen Sie die Eigenschaft Darstellungszeitraum in der Gruppe Darstellung auf 10 Minuten.


Runtime (Onlinebetrieb)

Erste Schritte -> Runtime (Onlinebetrieb)

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Jetzt ist es an der Zeit unser Beispielprojekt einmal in der Runtime zu sehen. In diesem Schritt lernen Sie, wie man die Runtime startet und beendet.

Noch in diesem Kapitel

Runtime starten

Runtime beenden


Runtime starten

Erste Schritte -> Runtime (Onlinebetrieb) -> Runtime starten

Die Runtime kann auf drei Arten gestartet werden:

  1. Durch Anklicken der Schaltfläche Start RT
  2. Im Start-Menü in der Programmgruppe Programme/COPADATA/zenon 700 über den Eintrag zenon Logic Runtime
  3. Mit der Taste F5 aus dem Editor

Nachdem die Runtime gestartet wurde, werden nun zwei Bilder geladen.

Zuerst das Startbild (weil es in der Konfiguration des Projekts automatisch als Startbild eingetragen wurde) und dann das Bild BL-Start (weil es über die Start-Funktion des Startbildes aufgerufen wurde).

Zuerst wollen wir uns einmal ansehen, wie man sich besser in einem bestehenden Runtime-Projekt zurechtfinden kann.

  • Klicken Sie irgendwo mit der rechten Maustaste in einen leeren Bereich des Bildes.

Wenn Sie die rechte Maustaste lange genug gedrückt halten, erschein am Mauszeiger der Name des Bildes.

  • Klicken Sie nun mit der rechten Maustaste auf das Zahlenwert-Element für die Betriebsart.

Links oberhalb des Elements wird nun der Name der damit verknüpften Variable angezeigt.

  • Klicken Sie nun mit der linken Maustaste auf das Zahlenwert-Element für die Variable Temp[1,1].

Die Standard-Dialogbox zur Sollwertvorgabe öffnet sich und erlaubt Ihnen den Wert der Variable zu ändern.

  • Setzen Sie den Wert der Variable Temp[1,1] auf 300,00 und schließen Sie die Dialogbox mit OK.
  • Setzen Sie den Wert der Variable Temp[1,2] auf 350,00 und schließen Sie die Dialogbox mit OK.

Mit unseren beiden Buttons Startbild und Halle 1 in der Bedienleiste können Sie zwischen den beiden Prozessbildern umschalten.

  • Schalten Sie auf das Bild Halle um und beobachten Sie das Verhalten der dynamischen Elemente dort.

Der Treiber ist auf den zählenden Simulationsmodus gesetzt und der Balken des Bargrafen bewegt sich.


Runtime beenden

Erste Schritte -> Runtime (Onlinebetrieb) -> Runtime beenden

  • Betätigen Sie den Button Ende um die Runtime zu schliessen.

info Info

Wenn noch kein Button zum Verlassen der Runtime definiert ist und auch die Windows-Titelleiste nicht zur Verfügung steht, lässt sich die Runtime mit der Tastenkombination Alt-F4 schliessen.